Bug 177004 - [MAINTAINER] devel/allegro-devel: OptionsNG, Port is now safe with NOPORTDOCS=yes
Summary: [MAINTAINER] devel/allegro-devel: OptionsNG, Port is now safe with NOPORTDOCS...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-15 21:50 UTC by nemysis
Modified: 2013-03-17 06:00 UTC (History)
0 users

See Also:


Attachments
allegro-devel-4.4.2_1.patch (2.25 KB, patch)
2013-03-15 21:50 UTC, nemysis
no flags Details | Diff
allegro-devel.diff (2.27 KB, patch)
2013-03-16 13:37 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-03-15 21:50:00 UTC
Makefile changed:

+.include <bsd.port.options.mk>
+.if ${PORT_OPTIONS:MDOCS}
+.include "Makefile.man"
+PORTDOCS=	*
+INFO=		allegro
+.endif

+post-patch: <-- to not install DOCS, Man, info
+.if ! ${PORT_OPTIONS:MDOCS}
+	 @${REINPLACE_CMD} -e 's|add_subdirectory(docs)|#add_subdirectory(docs)|' ${WRKSRC}/CMakeLists.txt
+.endif

Changed and refined:
 pkg-plist <-- clean, not more PORTDOCS

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

Port is now safe with NOPORTDOCS=yes in /etc/make.conf

port test: clean
Comment 1 Edwin Groothuis freebsd_committer 2013-03-15 21:50:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 nemysis 2013-03-16 13:37:01 UTC
Move PORTDOCS= from .if variable to the top Makefile, sorry.
Comment 3 dfilter service freebsd_committer 2013-03-17 05:55:55 UTC
Author: beech
Date: Sun Mar 17 05:55:42 2013
New Revision: 314398
URL: http://svnweb.freebsd.org/changeset/ports/314398

Log:
  - Makefile tweaks
  - Convert to OptionsNG
  
  PR:		ports/177004
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Modified:
  head/devel/allegro-devel/Makefile   (contents, props changed)
  head/devel/allegro-devel/pkg-plist   (contents, props changed)

Modified: head/devel/allegro-devel/Makefile
==============================================================================
--- head/devel/allegro-devel/Makefile	Sun Mar 17 05:53:53 2013	(r314397)
+++ head/devel/allegro-devel/Makefile	Sun Mar 17 05:55:42 2013	(r314398)
@@ -2,6 +2,7 @@
 
 PORTNAME=	allegro
 DISTVERSION=	4.4.2
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	SF/alleg/allegro/${PORTVERSION}
 PKGNAMESUFFIX=	-devel
@@ -19,8 +20,7 @@ USE_GL=		gl glu
 
 MAKE_JOBS_UNSAFE=	yes
 
-.include "Makefile.man"
-INFO=		allegro
+PORTDOCS=	*
 
 CONFLICTS=	allegro-[0-9]*
 LATEST_LINK=	${PORTNAME}${PKGNAMESUFFIX}
@@ -36,8 +36,22 @@ LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio
 		jack.0:${PORTSDIR}/audio/jack \
 		png15:${PORTSDIR}/graphics/png
 
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MDOCS}
+.include "Makefile.man"
+INFO=		allegro
+.endif
+
+post-patch:
+.if ! ${PORT_OPTIONS:MDOCS}
+	 @${REINPLACE_CMD} -e 's|add_subdirectory(docs)|#add_subdirectory(docs)|' ${WRKSRC}/CMakeLists.txt
+.endif
+
 post-install:
+.if ${PORT_OPTIONS:MDOCS}
 	@cd ${WRKSRC}/docs/man/ && \
 		${FIND} . -type f -and -name "*.3" -exec ${INSTALL_MAN} {} ${PREFIX}/man/man3/{} \;
+.endif
 
 .include <bsd.port.mk>

Modified: head/devel/allegro-devel/pkg-plist
==============================================================================
--- head/devel/allegro-devel/pkg-plist	Sun Mar 17 05:53:53 2013	(r314397)
+++ head/devel/allegro-devel/pkg-plist	Sun Mar 17 05:55:42 2013	(r314398)
@@ -132,28 +132,6 @@ libdata/pkgconfig/allegrogl.pc
 libdata/pkgconfig/jpgalleg.pc
 libdata/pkgconfig/loadpng.pc
 libdata/pkgconfig/logg.pc
-%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/CHANGES
-%%PORTDOCS%%%%DOCSDIR%%/THANKS
-%%PORTDOCS%%%%DOCSDIR%%/abi.txt
-%%PORTDOCS%%%%DOCSDIR%%/addons.txt
-%%PORTDOCS%%%%DOCSDIR%%/ahack.txt
-%%PORTDOCS%%%%DOCSDIR%%/allegro.txt
-%%PORTDOCS%%%%DOCSDIR%%/api.txt
-%%PORTDOCS%%%%DOCSDIR%%/const.txt
-%%PORTDOCS%%%%DOCSDIR%%/dat.txt
-%%PORTDOCS%%%%DOCSDIR%%/dat2c.txt
-%%PORTDOCS%%%%DOCSDIR%%/dat2s.txt
-%%PORTDOCS%%%%DOCSDIR%%/datafile.txt
-%%PORTDOCS%%%%DOCSDIR%%/faq.txt
-%%PORTDOCS%%%%DOCSDIR%%/grabber.txt
-%%PORTDOCS%%%%DOCSDIR%%/help.txt
-%%PORTDOCS%%%%DOCSDIR%%/license.txt
-%%PORTDOCS%%%%DOCSDIR%%/makedoc.txt
-%%PORTDOCS%%%%DOCSDIR%%/mistakes.txt
-%%PORTDOCS%%%%DOCSDIR%%/packfile.txt
-%%PORTDOCS%%%%DOCSDIR%%/readme.txt
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/allegro/%%SHLIB_VER%%
 @dirrm lib/allegro
 @dirrm include/allegrogl/GLext
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Beech Rintoul freebsd_committer 2013-03-17 05:56:08 UTC
State Changed
From-To: open->closed

Committed, Thanks!